///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  Copyright  NetworkDLS 2002, All rights reserved
//
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF 
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO 
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
// PARTICULAR PURPOSE.
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include <Windows.H>
#include <STDIO.H>
#include <STDLib.H>

////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include "../CLinkedList.H"

////////////////////////////////////////////////////////////////////////////////////////////////////////////

int main(void)
{
	CLinkedList *pLL = new CLinkedList();

	printf("Adding:\n");
	for(int iValue = 0; iValue < 10000; iValue++)
	{
		pLL->Add(iValue);
	}

	printf("Sorting:\n");
	pLL->SortDes();

	printf("Enumerating:\n");
	for(STACKNODE *pNode = pLL->RootNode; pNode; pNode = pNode->Child)
	{
		printf("%d\n", pNode->Data.ToUInt32());
	}

	delete pLL;

	system("pause");

	return 0;
}

////////////////////////////////////////////////////////////////////////////////////////////////////////////
